stages:
  - build
  - execute

build:
  stage: build
  artifacts:
    paths:
      - build/libs
      - build/reports/tests
  image:
    name: gradle:5.4.1-jdk8
  script:
    - gradle build

execute:
  stage: execute
  artifacts:
    paths:
      - execution-results
  image:
    name: openjdk:8-jre
  before_script:
    - mkdir execution-results
    - cp src/test/resources/test_orders.in execution-results
  script:
    - java -jar build/libs/drone-delivery-all.jar -d execution-results src/test/resources/test_orders.in
